package com.hw.ems.base.mapper;

import com.hw.ems.base.domain.BaseEnergyType;

import java.util.List;

/**
 * 能源类型信息Mapper接口
 *
 * @author sf
 * @date 2023-04-20
 */
public interface BaseEnergyTypeMapper
{
    /**
     * 查询能源类型信息
     *
     * @param objid 能源类型信息主键
     * @return 能源类型信息
     */
    public BaseEnergyType selectBaseEnergyTypeByObjid(Long objid);

    /**
     * 查询能源类型信息列表
     *
     * @param baseEnergyType 能源类型信息
     * @return 能源类型信息集合
     */
    public List<BaseEnergyType> selectBaseEnergyTypeList(BaseEnergyType baseEnergyType);

    /**
     * 新增能源类型信息
     *
     * @param baseEnergyType 能源类型信息
     * @return 结果
     */
    public int insertBaseEnergyType(BaseEnergyType baseEnergyType);

    /**
     * 修改能源类型信息
     *
     * @param baseEnergyType 能源类型信息
     * @return 结果
     */
    public int updateBaseEnergyType(BaseEnergyType baseEnergyType);

    /**
     * 删除能源类型信息
     *
     * @param objid 能源类型信息主键
     * @return 结果
     */
    public int deleteBaseEnergyTypeByObjid(Long objid);

    /**
     * 批量删除能源类型信息
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseEnergyTypeByObjids(Long[] objids);
}
